#
# spec file for package bitstream-vera-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fontname     bitstream-vera
Name:           bitstream-vera-fonts
Version:        1.10
Release:        316.4
Summary:        Bitstream Vera(tm) Truetype fonts
License:        Bitstream-Vera
Group:          System/X11/Fonts
URL:            https://www.gnome.org/fonts/
Source:         https://ftp.gnome.org/pub/GNOME/sources/ttf-bitstream-vera/%{version}/ttf-%{fontname}-%{version}.tar.bz2
BuildRequires:  fontpackages-devel
# FIXME: This causes a rpmlint warning; change <= to < once there's a new upstream version
Obsoletes:      %{fontname} <= 1.10
Provides:       %{fontname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The package contains the "Vera" truetype fonts from Bitstream Inc.

%prep
%setup -q -n ttf-%{fontname}-%{version}

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root,755)
%doc COPYRIGHT.TXT RELEASENOTES.TXT README.TXT local.conf
%{_ttfontsdir}

%changelog
* Wed Jan 18 2023 Gordon Leung <pirateclip@protonmail.com>
- amend license SUSE-Bitstream-Vera to SPDX's Bitstream-Vera
* Sat Mar 28 2015 mpluskal@suse.com
- Update project url
- Use url for source
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 29 2012 pgajdos@suse.com
- SUSE-Bitstream-Vera license
* Wed Dec 21 2011 toms@suse.de
- Renamed bitstream-vera -> bitstream-vera-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Aug  9 2006 dmueller@suse.de
- install into /usr/share/fonts/truetype
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Thu Aug 12 2004 mfabian@suse.de
- Bugzilla #39451: run SuSEconfig.fonts only if it exists.
* Fri Mar 19 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root (# norootforbuild)
* Mon Jun 16 2003 coolo@suse.de
- package directories
* Thu Apr 17 2003 adrian@suse.de
- update to final released fonts version 1.10
* Wed Feb 19 2003 adrian@suse.de
- initial package of Bitstream Vera fonts 1.0
